Skip to main content
POST
/
connect
/
v1
/
flights
/
search-stream
Search flights (streaming)
curl --request POST \
  --url https://api.voyant.travel/connect/v1/flights/search-stream \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "origin": "LHR",
  "destination": "JFK",
  "departureDate": "2026-08-12",
  "passengers": [
    {
      "count": 1
    }
  ],
  "returnDate": "2023-12-25",
  "connectionIds": [
    "<string>"
  ]
}
'
"<string>"

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Body

application/json
origin
string
required
Example:

"LHR"

destination
string
required
Example:

"JFK"

departureDate
string<date>
required
Example:

"2026-08-12"

passengers
object[]
required
returnDate
string<date>
cabin
enum<string>
Available options:
economy,
premium_economy,
business,
first
connectionIds
string[]

Restrict the fan-out to these connections.

Response

200 - text/event-stream

An SSE stream of flight search result frames.

Server-Sent Events stream; each event's data payload is a FlightSearchResult JSON object.